Updates custom field (UDF) values on a specific bill
Use this endpoint to set or clear custom field values on a bill. Only fields included in the request
are updated; unmentioned fields retain their current values.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| billId | Unique numeric identifier of the bill | integer (int32) | Required |
Request Body
Array of:
UDFValue
| Property | Description | Type |
|---|---|---|
| udfId | udfId of the UDF being edited Required (defined) | integer (int32) |
| value | Required (defined) | string |
Example Request Body
[
{ "udfId": 1, "value": "string"
}
]
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
UDFFieldChild
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| dataType | DataTypeResponse | |||||||||||||
|
DataTypeResponse properties
|
||||||||||||||
| description | A description of what this UDF field is used for Required (defined) | string | ||||||||||||
| displayOrder | The sort order for displaying this field relative to other UDF fields Required (defined) | integer (int32) | ||||||||||||
| important | When true, this UDF field is flagged as important and may be highlighted in the UI Required (defined) | boolean | ||||||||||||
| name | The display name of the UDF field Required (defined) | string | ||||||||||||
| udfId | The unique identifier for this UDF field definition Required (defined) | integer (int32) | ||||||||||||
| udfSelectValues | For select-list type UDFs, the available options that can be chosen as values Required (defined) | UDFSelectValueEntityResponse[] | ||||||||||||
|
UDFSelectValueEntityResponse properties
|
||||||||||||||
| value | The current value of this UDF field for the entity. Null if no value has been set. Format depends on DataType. Required (defined) | string | ||||||||||||
Example Response
[
{ "dataType": { "dataTypeCode": "string", "dataTypeId": 1, "dataTypeInfo": "string"
}, "description": "string", "displayOrder": 1, "important": false, "name": "string", "udfId": 1, "udfSelectValues": [
{ "displayOrder": 1, "udfSelectValueId": 1, "value": "string"
}
], "value": "string"
}
]